# sc::OneBodyIntV3 Class Reference

This implements most one body integrals in the IntV3 library. More...

`#include <obintv3.h>`

Inheritance diagram for sc::OneBodyIntV3:

List of all members.

## Public Member Functions
| OneBodyIntV3 (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, IntegralFunction)
void | compute_shell (int, int)
| Computes the integrals between basis functions in the given shell pair.
bool | cloneable ()
| Return true if the clone member can be called.
Ref< OneBodyInt > | clone ()
| Returns a clone of this.
## Protected Types
typedef void(Int1eV3::* | IntegralFunction )(int, int)
## Protected Attributes
Ref< Int1eV3 > | int1ev3_
IntegralFunction | intfunc_

## Detailed Description

This implements most one body integrals in the IntV3 library.

It is given a function pointer to the Int1eV3 member that computes the particular integral of interest.

## Member Function Documentation

Ref<OneBodyInt> sc::OneBodyIntV3::clone | ( |  | ) | `[virtual]`

Returns a clone of this.

The default implementation throws an exception.

Reimplemented from sc::OneBodyInt.

bool sc::OneBodyIntV3::cloneable | ( |  | ) | `[virtual]`

Return true if the clone member can be called.

The default implementation returns false.

Reimplemented from sc::OneBodyInt.

void sc::OneBodyIntV3::compute_shell | ( | int | ,
|  | int |  |
| ) |  |  | `[virtual]`

Computes the integrals between basis functions in the given shell pair.

Implements sc::OneBodyInt.

The documentation for this class was generated from the following file:

- obintv3.h